<?php
$time_start = microtime(true);

require 'include/functions.php';
require 'settings.php';
require 'lang/' . $language . '.php';
include_once 'include/header.php';
?>
<div id="header">
	<div id="header_c">
<?php
echo "\t\t" . '<h1>' . $pagetitle . "</h1><br />\n";

echo "\t\t<a href=\"http://" . $page_link . '">' . $page_link . '</a>';
?>

	</div>
</div>
<div id="container">
<?php
$data = array();

$page = empty($_GET['page']) ? 1 : $_GET['page'];
$start = $page == 1 ? $start = 0 : ($page - 1) * $limit;
$sort[1] = 'player_name ASC';
$sort[2] = 'player_name DESC';
$sort[3] = 'steam_id ASC';
$sort[4] = 'steam_id DESC';
$sort[5] = 'amount ASC';
$sort[6] = 'amount DESC';
$sort[7] = 'auto_deposit ASC';
$sort[8] = 'auto_deposit DESC';
$sort[9] = 'auto_withdraw ASC';
$sort[10] = 'auto_withdraw DESC';
$sort[11] = 'last_accountuse ASC';
$sort[12] = 'last_accountuse DESC';
$sort_order = empty($_GET['order']) ? 6 : $_GET['order'];

$select = 'player_name, steam_id, amount, auto_deposit, auto_withdraw, last_accountuse';
$where = 'hide_rank NOT LIKE 1';
$where .= $owamounts ? ' AND amount > 0' : '';
$order = $sort[$sort_order];
$data = sql_select($select, $where, $order);

$data_count = count($data);

echo $pagelng . ':&nbsp;';
pages($data_count, $page, $sort_order);
?>

<table border="1" cellspacing="0" style="width:100%">
	<tr>
<?php
if ($show_rank)
	echo "\t\t<th class=\"tac\">" . $rank . "</th>\n";
echo "\t\t" . '<th><a href="index.php?page=' . $page . '&amp;order=1">&uArr;</a>&nbsp;<a href="index.php?page=' . $page . '&amp;order=2">&dArr;</a>&nbsp;&nbsp;' . $player . '</th>' . "\n";
echo "\t\t" . '<th><a href="index.php?page=' . $page . '&amp;order=5">&uArr;</a>&nbsp;<a href="index.php?page=' . $page . '&amp;order=6">&dArr;</a>&nbsp;&nbsp;' . $balance . '</th>' . "\n";
if ($show_steamid)
	echo "\t\t" . '<th><a href="index.php?page=' . $page . '&amp;order=3">&uArr;</a>&nbsp;<a href="index.php?page=' . $page . '&amp;order=4">&dArr;</a>&nbsp;&nbsp;' . $authid . '</th>' . "\n";
if ($show_autodep)
	echo "\t\t" . '<th><a href="index.php?page=' . $page . '&amp;order=7">&uArr;</a>&nbsp;<a href="index.php?page=' . $page . '&amp;order=8">&dArr;</a>&nbsp;&nbsp;' . $auto_deposit . '</th>' . "\n";
if ($show_autowith)
	echo "\t\t" . '<th><a href="index.php?page=' . $page . '&amp;order=9">&uArr;</a>&nbsp;<a href="index.php?page=' . $page . '&amp;order=10">&dArr;</a>&nbsp;&nbsp;' . $auto_withdraw . '</th>' . "\n";
if ($show_last_accountuse)
	echo "\t\t" . '<th><a href="index.php?page=' . $page . '&amp;order=11">&uArr;</a>&nbsp;<a href="index.php?page=' . $page . '&amp;order=12">&dArr;</a>&nbsp;&nbsp;' . $last_accountuse . '</th>' . "\n";
echo "\t</tr>";

$rank = $start + 1;
$j = $start;

$i = 0;
while ($i < $limit && $data[$j])
{
	$rank = $j + 1;
	echo "\t<tr>\n";
	if ($show_rank)
		echo "\t\t<td class=\"tac\">" . $rank . "</td>\n";
	echo "\t\t<td>" . htmlspecialchars($data[$j]['player_name'], ENT_QUOTES) . "</td>\n";
	echo "\t\t<td>" . $data[$j]['amount'] . "</td>\n";
	if ($show_steamid)
		echo "\t\t<td>" . $data[$j]['steam_id'] . "</td>\n";
	if ($show_autodep)
		echo "\t\t<td>" . $data[$j]['auto_deposit'] . "</td>\n";
	if ($show_autowith)
		echo "\t\t<td>" . $data[$j]['auto_withdraw'] . "</td>\n";
	if ($show_last_accountuse)
		echo "\t\t<td>" . date_time($data[$j]['last_accountuse'], $show_date, $show_time) . "</td>\n";
	echo "\t</tr>\n";

	$i++;
	$j++;
}

echo "</table>\n</div><br />";

include_once 'include/footer.php';