<?php
require 'include/functions.php';
require 'settings.php';
require 'lang/' . $language . '.php';
include_once 'include/header.php';

$data = array();

$select = 'player_name, amount';
$where = 'hide_rank NOT LIKE 1 AND amount > 0';
$order = 'amount DESC';
$start = 0;
$limit = 10;
$data = sql_select($select, $where, $order, $start, $limit);

$data_count = count($data);
?>

<div id="top10">
<table border="1" cellspacing="0" style="width:100%">
	<tr>
<?php
echo "\t\t<th class=\"tac\">" . $rank . "</th>\n";
echo "\t\t<th>" . $player . "</th>\n";
echo "\t\t<th>" . $balance . "</th>\n";
echo "\t</tr>\n";


for ($i = 0; $i < $data_count; $i++)
{
	$rank = $i + 1;
	echo "\t<tr>\n";
	echo "\t\t<td class=\"tac\">" . $rank . "</td>\n";
	echo "\t\t<td>" . htmlspecialchars($data[$i]['player_name'], ENT_QUOTES) . "</td>\n";
	echo "\t\t<td>" . $data[$i]['amount'] . "</td>\n";
	echo "\t</tr>\n";
}

echo "</table>\n</div>";
include_once 'include/footer.php';